ColumnFamilyNotDefinedException (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class ColumnFamilyNotDefinedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.cassandra.thrift.InvalidRequestException
        - - org.apache.cassandra.db.ColumnFamilyNotDefinedException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<InvalidRequestException>, org.apache.thrift.TBase<InvalidRequestException,InvalidRequestException._Fields>

      public class ColumnFamilyNotDefinedException
      extends InvalidRequestException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.thrift.InvalidRequestException

      `InvalidRequestException._Fields`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.thrift.InvalidRequestException

      `metaDataMap, why`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnFamilyNotDefinedException(java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.thrift.InvalidRequestException

      `clear, compareTo, deepCopy, equals, equals, fieldForId, getFieldValue, getWhy, hashCode, isSet, isSetWhy, read, setFieldValue, setWhy, setWhyIsSet, toString, unsetWhy, validate, write`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnFamilyNotDefinedException

          public ColumnFamilyNotDefinedException(java.lang.String message)

Copyright © 2014 The Apache Software Foundation